classification
Title: Links to source code should now point to hg repo
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: SilentGhost, benjamin.peterson, docs@python, eric.araujo, eric.snow, ezio.melotti, georg.brandl, ned.deily, python-dev
Priority: normal Keywords: patch

Created on 2011-03-07 17:31 by SilentGhost, last changed 2011-08-31 14:42 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
docs_sourcename.diff SilentGhost, 2011-03-07 17:31 review
docs-source-link-3.2.diff eric.araujo, 2011-07-11 12:53 review
Messages (24)
msg130268 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2011-03-07 17:31
With the conversion to mercurial source links in documentation should now point to hg.python.org
Here is the patch.
msg130269 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-03-07 18:00
Good point. However, making the change won't help the already generated versions of the 3.2 html doc, like those included with installers or any older URL references elsewhere to the svn source.  Perhaps some URL rewrite rules should be added to the web server to redirect "source code" URLs from svn.python.org to hg.python.org style?
msg130270 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-07 18:05
IIUC those svn links will keep working for some time, but if/when the svn repo and/or viewvc will be removed an URL rewrite rule should be fix the problem.
The patch seems OK to me.
msg130276 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-07 18:30
I've put the redirection in place.
msg130287 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-03-07 19:52
Antoine, great!  How about also for the other "active" branches now in hg:
release{32,31,27,26,25-maint} ?
msg130289 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-07 20:06
> Antoine, great!  How about also for the other "active" branches now in hg:
> release{32,31,27,26,25-maint} ?

Is there any such reference in the docs?
msg130290 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2011-03-07 20:37
Right: no comprehensive links like in the 3.2+ versions. I just see a few miscellaneous links elsewhere in the source. But there are undoubtedly plenty of links elsewhere out in the wild.  So this is probably out-of-scope for this issue but should be dealt with elsewhere as part of a long-term migration plan for svn.python.org.  I'll bring it up on python-dev.
msg130303 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2011-03-08 01:16
> I've put the redirection in place.
So, it's not possible to access http://svn.python.org/view/python/branches/py3k/ at all now?
msg130376 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-08 21:45
> So, it's not possible to access http://svn.python.org/view/python
> /branches/py3k/ at all now?

Hmm, apparently no. Is it important?
msg130435 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-09 09:36
The svn repos and viewvc won't disappear soon because they are used for other things (e.g. the tracker).  I think it's better to avoid redirects until svn and/or viewvc are definitely gone.
msg130441 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-03-09 10:38
> The svn repos and viewvc won't disappear soon because they are used
> for other things (e.g. the tracker).  I think it's better to avoid
> redirects until svn and/or viewvc are definitely gone.

The redirect is only for the py3k branch, something nobody should use
anymore.
msg130528 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-10 21:16
This can be closed.
msg130556 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2011-03-11 10:07
This issue is not about the redirects. It is about links in documentation. The redirect is great for the links in the wild, the online documentation, however, could and should use proper links without any redirects.

Georg, or whoever is maintainer of Doc/tools/sphinxext/pyspecific.py, could you please have a look at the patch.
msg130565 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-11 13:16
New changeset 3c1e779002d3 by Ezio Melotti in branch '3.2':
#11435: Update the links generated by the source directive to use hg.python.org.
http://hg.python.org/cpython/rev/3c1e779002d3
msg130566 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-03-11 13:18
New changeset 5f220e98eddc by Ezio Melotti in branch 'default':
#11435: Merge with 3.2
http://hg.python.org/cpython/rev/5f220e98eddc
msg130568 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-03-11 13:22
Now it's fixed in 3.2 and 3.3.  Thanks for the patch!
msg138384 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-06-15 16:16
The 2.7 docs link to the Subversion repo.  Can I update them?
msg140116 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-11 12:53
Patch to fix links in the 3.2 docs.
msg140790 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-07-21 06:39
New changeset 79d2682c4fc5 by Ezio Melotti in branch '3.2':
#11435: link to the correct branch.
http://hg.python.org/cpython/rev/79d2682c4fc5

New changeset 3028b5ab92c0 by Ezio Melotti in branch 'default':
#11435: dummy merge with 3.2.
http://hg.python.org/cpython/rev/3028b5ab92c0
msg140791 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-07-21 06:42
I fixed the URL in 3.2.

> The 2.7 docs link to the Subversion repo.  Can I update them?

2.7 doesn't have the source directive, do you want to replace all the svn links manually?
If so, either reopen this issue or create a new one.
msg140840 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-21 23:51
Thanks for the commit, I intended to do it these days.

For 2.7, I was indeed talking about updated all manual links.  sed is my friend :)
msg140850 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-07-22 00:53
Georg or Benjamin: The PEP/documents/scripts used for releases should also mention/edit the version in Doc/tools/sphinxext/pyspecific.py.
msg140942 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-07-23 07:52
Done (in rev e32f140a020b).
msg143258 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-08-31 14:42
After getting Georg’s greenlight on python-dev, I have adapted the source reST role for 2.7 and updated all links.
History
Date User Action Args
2011-08-31 14:42:10eric.araujosetstatus: open -> closed

messages: + msg143258
2011-07-23 07:52:57georg.brandlsetmessages: + msg140942
2011-07-22 00:59:04pitrousetnosy: - pitrou
2011-07-22 00:53:58eric.araujosetnosy: + benjamin.peterson
messages: + msg140850
2011-07-21 23:51:33eric.araujosetstatus: closed -> open

messages: + msg140840
2011-07-21 06:42:06ezio.melottisetmessages: + msg140791
2011-07-21 06:39:58python-devsetmessages: + msg140790
2011-07-11 12:53:50eric.araujosetfiles: + docs-source-link-3.2.diff

messages: + msg140116
2011-07-09 21:31:43eric.snowsetnosy: + eric.snow
2011-06-15 16:16:42eric.araujosetnosy: + eric.araujo

messages: + msg138384
versions: + Python 2.7
2011-03-11 13:22:31ezio.melottisetstatus: open -> closed
versions: + Python 3.2
nosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python, python-dev
messages: + msg130568

resolution: fixed
stage: patch review -> resolved
2011-03-11 13:18:00python-devsetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python, python-dev
messages: + msg130566
2011-03-11 13:16:40python-devsetnosy: + python-dev
messages: + msg130565
2011-03-11 10:07:37SilentGhostsetstatus: closed -> open
nosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130556

resolution: fixed -> (no value)
stage: resolved -> patch review
2011-03-10 21:16:45ezio.melottisetstatus: open -> closed
nosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130528

resolution: fixed
stage: patch review -> resolved
2011-03-09 13:56:07SilentGhostsetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
versions: + Python 3.3
2011-03-09 10:38:46pitrousetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130441
2011-03-09 09:36:38ezio.melottisetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130435
2011-03-08 21:45:36pitrousetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130376
2011-03-08 01:16:14SilentGhostsetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130303
2011-03-07 20:37:27ned.deilysetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130290
2011-03-07 20:06:14pitrousetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130289
2011-03-07 19:52:30ned.deilysetnosy: georg.brandl, pitrou, ned.deily, ezio.melotti, SilentGhost, docs@python
messages: + msg130287
2011-03-07 18:30:22pitrousetnosy: + pitrou
messages: + msg130276
2011-03-07 18:05:45ezio.melottisetnosy: + ezio.melotti
messages: + msg130270
2011-03-07 18:00:15ned.deilysetnosy: + georg.brandl, ned.deily
messages: + msg130269
2011-03-07 17:31:31SilentGhostcreate